﻿@charset "UTF-8";

.coupon-item-wrapper {
    width: auto;
    height: 152px;
    background: var(--custom-white) 0% 0% no-repeat padding-box;
    box-shadow: 0px 0px 11px #0000001A;
    border-radius: 10px;
    opacity: 1;
    margin: 0 20px 20px 20px;
    display: grid;
    grid-template-columns: 115px 1fr;
    grid-template-rows: 36px 70px 1fr;
    padding: 0 12px 12px 12px;
    position: relative;
}

    /* 破線 */
    .coupon-item-wrapper::before {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 75%;
        width: 1px;
        border-left: 2px dotted var(--custom-gray9);
        transform: translateX(-50%);
    }

    .coupon-item-wrapper:last-of-type {
        margin-bottom: 0;
    }

    .coupon-item-wrapper.not-available-coupon {
        background-color: var(--custom-gray5);
    }

    .coupon-item-wrapper .coupon-badge-wrapper {
        grid-column: 1/3;
        grid-row: 1/2;
        display: flex;
        justify-content: flex-end;
        align-items: flex-end;
        z-index: 5;
        margin-bottom: 2px;
    }

        /* 上部切れ込み */
        .coupon-item-wrapper .coupon-badge-wrapper::after {
            content: "";
            width: 15px;
            height: 10px;
            background-color: var(--custom-gray9);
            clip-path: polygon(0 0, 100% 0, 50% 100%);
            position: absolute;
            top: -1px;
            left: 73%;
            box-shadow: inset 0px 0px 11px #0000001A;
        }

        .coupon-item-wrapper .coupon-badge-wrapper .ticket-badge {
            background: var(--custom-gray9) 0% 0% no-repeat padding-box;
            border-radius: 5px;
            opacity: 1;
            font-size: 12px;
            letter-spacing: 0px;
        }

    .coupon-item-wrapper .coupon-thumnail-wrapper {
        grid-column: 1/2;
        grid-row: 2/3;
        width: 100px;
        height: 70px;
        background: var(--custom-light-blue) 0% 0% no-repeat padding-box;
        border-radius: 10px;
        opacity: 1;
        display: grid;
        grid-template-rows: 1fr;
        grid-template-columns: 1fr;
    }

        .coupon-item-wrapper .coupon-thumnail-wrapper img {
            width: 100px;
            height: 70px;
            object-fit: contain;
            border-radius: 10px;
            grid-row: 1/2;
            grid-column: 1/2;
        }

        .coupon-item-wrapper .coupon-thumnail-wrapper div.show-status-word {
            position: relative;
            width: 100px;
            height: 70px;
            border-radius: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            grid-row: 1/2;
            grid-column: 1/2;
            background-color: rgba(255, 255, 255, 0.9);
        }

    .coupon-item-wrapper .coupon-detail-wrapper {
        grid-column: 2/3;
        grid-row: 2/3;
        display: flex;
        flex-direction: column;
        z-index: 5;
    }

        .coupon-item-wrapper .coupon-detail-wrapper .coupon-detail-available-location {
            color: var(--custom-black2);
            font-size: 12px;
            line-height: 15px;
            letter-spacing: 0px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            padding: 10px 0 5px 0;
        }

        .coupon-item-wrapper .coupon-detail-wrapper .coupon-detail-delivery-name {
            color: var(--custom-black2);
            font-size: 14px;
            font-weight: bold;
            line-height: 19px;
            letter-spacing: 0px;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 2;
            overflow: hidden;
            text-overflow: ellipsis;
        }

    .coupon-item-wrapper .coupon-corp-name-wrapper {
        grid-column: 1/2;
        grid-row: 3/4;
        color: var(--custom-gray10);
        font-size: 11px;
        line-height: 16px;
        letter-spacing: 0px;
        display: flex;
        align-items: flex-end;
    }

    .coupon-item-wrapper .coupon-benefit-wrapper {
        grid-column: 2/3;
        grid-row: 3/4;
        color: var(--custom-orange);
        font-weight: bold;
        font-size: 27px;
        line-height: 35px;
        letter-spacing: 0px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        text-align: right;
        z-index: 5;
    }

        /* 下部切れ込み */
        .coupon-item-wrapper .coupon-benefit-wrapper::after {
            content: "";
            width: 15px;
            height: 10px;
            background-color: var(--custom-gray9);
            clip-path: polygon(0 0, 100% 0, 50% 100%);
            transform: rotate(180deg);
            position: absolute;
            bottom: -1px;
            left: 73%;
        }
